# sample_three.py

"""

ZetCode wxPython tutorial.

In this example, we create two 
horizontal toolbars.

Author : Jan Bodnar
Website : zetcode.com
Last modified : July 2020

"""

import wx

# class MyFrame
# def main

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(self, *args, **kwargs):
        super(MyFrame, self).__init__(*args, **kwargs)

        self.InitUI()

    #-----------------------------------------------------------------------

    def InitUI(self):
        vbox = wx.BoxSizer(wx.VERTICAL)

        toolbar1 = wx.ToolBar(self)
        toolbar1.AddTool(wx.ID_ANY, '', wx.Bitmap('./bitmaps/new.png'))
        toolbar1.AddTool(wx.ID_ANY, '', wx.Bitmap('./bitmaps/open.png'))
        toolbar1.AddTool(wx.ID_ANY, '', wx.Bitmap('./bitmaps/save.png'))
        toolbar1.Realize()

        toolbar2 = wx.ToolBar(self)
        qtool = toolbar2.AddTool(wx.ID_EXIT, '', wx.Bitmap('./bitmaps/exit.png'))
        toolbar2.Realize()

        vbox.Add(toolbar1, 0, wx.EXPAND)
        vbox.Add(toolbar2, 0, wx.EXPAND)

        self.Bind(wx.EVT_TOOL, self.OnQuit, qtool)

        self.SetSizer(vbox)

        self.SetIcon(wx.Icon('./icons/icon_wxWidgets.ico', wx.BITMAP_TYPE_ICO))
        self.SetSize((350, 250))
        self.SetTitle('Two toolbars')

        self.Centre()


    def OnQuit(self, event):
        self.Close()

#---------------------------------------------------------------------------
        
def main():
    app = wx.App()
    ex = MyFrame(None)
    ex.Show()
    app.MainLoop()

#---------------------------------------------------------------------------
    
if __name__ == '__main__':
    main()
