# sample_two.py

"""

ZetCode wxPython tutorial.

This example creates a simple toolbar.

Author : Jan Bodnar
Website : zetcode.com
Last modified : July 2020

"""

import wx

# class MyFrame
# def main

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(self, *args, **kwargs):
        super(MyFrame, self).__init__(*args, **kwargs)

        self.InitUI()

    #-----------------------------------------------------------------------
        
    def InitUI(self):
        toolbar = self.CreateToolBar()
        qtool = toolbar.AddTool(wx.ID_ANY, 'Quit', wx.Bitmap('./bitmaps/exit.png'))
        toolbar.Realize()

        self.Bind(wx.EVT_TOOL, self.OnQuit, qtool)

        self.SetIcon(wx.Icon('./icons/icon_wxWidgets.ico', wx.BITMAP_TYPE_ICO))
        self.SetSize((350, 250))
        self.SetTitle('Simple toolbar')

        self.Centre()


    def OnQuit(self, event):
        self.Close()

#---------------------------------------------------------------------------
        
def main():

    app = wx.App()
    ex = MyFrame(None)
    ex.Show()
    app.MainLoop()

#---------------------------------------------------------------------------
    
if __name__ == '__main__':
    main()
